## auth0-python 4.13.0

=== requirements.txt ===
aiohttp==3.8.6 ; python_version >= "3.7" and python_version < "4.0"
aioresponses==0.7.4 ; python_version >= "3.7" and python_version < "4.0"
aiosignal==1.4.0 ; python_version >= "3.7" and python_version < "4.0"
argcomplete==3.5.3 ; python_version >= "3.7" and python_version < "4.0"
async-timeout==4.0.3 ; python_version >= "3.7" and python_version < "4.0"
asynctest==0.13.0 ; python_version >= "3.7" and python_version < "3.8"
attrs==23.1.0 ; python_version >= "3.7" and python_version < "4.0"
certifi==2025.8.3 ; python_version >= "3.7" and python_version < "4.0"
cffi==1.17.1 ; python_version >= "3.7" and python_version < "4.0"
charset-normalizer==3.4.2 ; python_version >= "3.7" and python_version < "4.0"
click==8.1.8 ; python_version >= "3.7" and python_version < "4.0"
colorama==0.4.6 ; python_version >= "3.7" and python_version < "4.0" and sys_platform == "win32" or python_version >= "3.7" and python_version < "4.0" and platform_system == "Windows"
coverage[toml]==7.2.7 ; python_version >= "3.7" and python_version < "4.0"
cryptography==44.0.1 ; python_version >= "3.7" and python_version < "4.0"
exceptiongroup==1.1.3 ; python_version >= "3.7" and python_version < "3.11"
frozenlist==1.7.0 ; python_version >= "3.7" and python_version < "4.0"
idna==3.10 ; python_version >= "3.7" and python_version < "4.0"
importlib-metadata==6.7.0 ; python_version >= "3.7" and python_version < "3.8"
iniconfig==2.1.0 ; python_version >= "3.7" and python_version < "4.0"
mock==5.2.0 ; python_version >= "3.7" and python_version < "4.0"
multidict==6.0.4 ; python_version >= "3.7" and python_version < "4.0"
packaging==23.2 ; python_version >= "3.7" and python_version < "4.0"
pipx==1.2.0 ; python_version >= "3.7" and python_version < "4.0"
pluggy==1.2.0 ; python_version >= "3.7" and python_version < "4.0"
pycparser==2.23 ; python_version >= "3.7" and python_version < "4.0"
pyjwt==2.9.0 ; python_version >= "3.7" and python_version < "4.0"
pyopenssl==25.2.0 ; python_version >= "3.7" and python_version < "4.0"
pytest-aiohttp==1.0.5 ; python_version >= "3.7" and python_version < "4.0"
pytest-asyncio==0.23.8 ; python_version >= "3.7" and python_version < "4.0"
pytest-cov==4.1.0 ; python_version >= "3.7" and python_version < "4.0"
pytest==7.4.0 ; python_version >= "3.7" and python_version < "4.0"
pyyaml==6.0.2 ; python_version >= "3.7" and python_version < "4.0"
requests==2.32.4 ; python_version >= "3.7" and python_version < "4.0"
responses==0.23.3 ; python_version >= "3.7" and python_version < "4.0"
tomli==2.2.1 ; python_version >= "3.7" and python_full_version <= "3.11.0a6"
types-pyyaml==6.0.12.11 ; python_version >= "3.7" and python_version < "4.0"
typing-extensions==4.7.1 ; python_version >= "3.7" and python_version < "3.8"
urllib3==2.5.0 ; python_version >= "3.7" and python_version < "4.0"
userpath==1.9.2 ; python_version >= "3.7" and python_version < "4.0"
yarl==1.20.0 ; python_version >= "3.7" and python_version < "4.0"
zipp==3.19.1 ; python_version >= "3.7" and python_version < "3.8"

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= --keep-going -n -a
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
auth0-python (4.13.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118664)

 -- Edward Betts <edward@4angle.com>  Thu, 23 Oct 2025 09:09:29 +0100

=== debian/control ===
Source: auth0-python
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-poetry-dynamic-versioning,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-cryptography <!nocheck>,
 python3-jwt <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-requests <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-autodoc-typehints <!nodoc>,
 python3-sphinx-mdinclude <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://github.com/auth0/auth0-python
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/auth0-python
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/auth0-python.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-auth0
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Authentication and authorization API client for interacting with Auth0 services
 This library provides a client interface for communicating with Auth0's
 authentication and management APIs. It enables applications to perform a
 variety of authentication operations, including user sign-up, login,
 passwordless authentication, token retrieval, and user information management.
 The management features cover operations such as managing users, roles,
 permissions, connections, organizations, branding, logs, email templates,
 actions, rules, and security settings through programmatic access to Auth0's
 Management API. The library talks to Auth0's remote services over HTTP,
 allowing integration with centralized authentication and identity management
 infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build $@ --buildsystem=pybuild
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees source _build/html

=== debian/watch ===
Version: 5

Template: Github
Owner: auth0
Project: auth0-python
